<!DOCTYPE html>
<html>
  <head>
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
  <meta charset="utf-8">
  <title data-l10n-id="title">Keyboard</title>
  <script defer="" type="text/javascript" src="js/keyboard/l10n_loader.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/user_press_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/handwriting_pads_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/alternatives_char_menu_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/visual_highlight_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/target_handlers.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/target_handlers_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/active_targets_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/layout_loader.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/layout_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/layout_normalizer.js"></script>
  <script defer="" type="text/javascript" src="js/render.js"></script>
  <script defer="" type="text/javascript" src="js/views/alternatives_char_menu_view.js"></script>
  <script defer="" type="text/javascript" src="js/views/handwriting_pad_view.js"></script>
  <script defer="" type="text/javascript" src="js/views/key_view.js"></script>
  <script defer="" type="text/javascript" src="js/views/layout_page_view.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/console.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/input_method_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/input_method_database_loader.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/settings.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/sound_feedback_player.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/feedback_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/upper_case_state_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/candidate_panel_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/layout_rendering_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/abortable_promise_queue.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/state_manager.js"></script>
  <script defer="" type="text/javascript" src="js/keypad_symbols.js"></script>
  <script defer="" type="text/javascript" src="js/imeconnect_sdk.js"></script>
  <script defer="" type="text/javascript" src="js/keypad_t9.js"></script>
  <script defer="" type="text/javascript" src="js/keypad_maps.js"></script>
  <script defer="" type="text/javascript" src="js/keypad.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/keyboard_app.js"></script>
  <script defer="" type="text/javascript" src="js/keyboard/bootstrap.js"></script>

  <!-- Shared code -->
  <!-- Let's lazily load l10n.js here because we don't want it to block
       the cold launch path. -->
  <!--
  <script src="shared/js/l10n.js"></script>
  -->
  <script src="shared/js/keypad_helper.js"></script>

  <!-- Localization -->
  <meta name="defaultLanguage" content="en-US">
  <meta name="availableLanguages" content="af:201809261549, sq-AL:201809261549, ar:201809261549, hy-AM:201809261549, az-Latn-AZ:201809261549, be-BY:201809261549, bn-BD:201809261549, bn:201809261549, bs-BA:201809261549, bg-BG:201809261549, zh-CN:201809261549, zh-HK:201809261549, zh-TW:201809261549, hr-HR:201809261549, cs-CZ:201809261549, da-DK:201809261549, nl:201809261549, en-GB:201809261549, en-US:201809261549, et-EE:201809261549, fi-FI:201809261549, fr-CA:201809261549, fr:201809261549, ka-GE:201809261549, de:201809261549, el-GR:201809261549, he-IL:201809261549, hi:201809261549, hu:201809261549, is-IS:201809261549, id:201809261549, it:201809261549, kk-KZ:201809261549, km-KH:201809261549, ko-KR:201809261549, lo-LA:201809261549, lv-LV:201809261549, it-LT:201809261549, mk-MK:201809261549, ms:201809261549, mo-RO:201809261549, ne:201809261549, nb-NO:201809261549, fa-IR:201809261549, pl:201809261549, pt-BR:201809261549, pt-PT:201809261549, ps-AF:201809261549, ro:201809261549, ru:201809261549, sr-Latn-CS:201809261549, si-LK:201809261549, sk-SK:201809261549, sl-SI:201809261549, es:201809261549, es-US:201809261549, sw:201809261549, sv-SE:201809261549, fil-PH:201809261549, ta:201809261549, th:201809261549, tr:201809261549, uk-UA:201809261549, ur:201809261549, uz-Cyrl-UZ:201809261549, vi:201809261549, xh-ZA:201809261549, zu:201809261549">
  <link rel="localization" href="/locales-obj/{locale}.json">

  <link rel="stylesheet" type="text/css" href="app://theme.gaiamobile.org/shared/elements/gaia-theme/gaia-theme.css">
  <link rel="stylesheet" type="text/css" href="/shared/elements/gaia-icons/gaia-icons.css">

  <link rel="stylesheet" type="text/css" href="style/keyboard.css">
  <link rel="stylesheet" type="text/css" href="shared/style/keyboard_symbols.css">
<meta content="2.2" name="appVersion"></head>

<!-- The keyboard itself should be "ltr", to override the attribute set at documentElement by l10n.js -->
<body dir="ltr">
  <div id="keyboard" data-hidden="true">
    <span id="keyboard-key-highlight"></span>
  </div>
  <div id="symbols">
    <div id="symbols-background"></div>
    <div id="symbols-content">
      <div id="symbols-header" data-l10n-id="symbols"></div>
      <div id="symbols-container"></div>
    </div>
  </div>
  <div id="soft-keys">
    <span class="soft-key left"></span>
    <span class="soft-key"></span>
    <span class="soft-key right"></span>
  </div>
  <div id="candidates">
    <div id="candidates-container">
      <div id="candidates-scrollable"></div>
    </div>
    <div id="candidates-page-indicator">◀ ▶</div>
  </div>
  <!-- This is to pre-load styles for keys avoiding flickering -->
  <div class="cache">
    <button class="keyboard-key"><span class="visual-wrapper"><span>C</span></span></button>
    <button class="keyboard-key highlighted"><span class="visual-wrapper"><span>C</span></span></button>
    <button class="keyboard-key special-key"><span class="visual-wrapper"><span>C</span></span></button>
    <button class="keyboard-key special-key kbr-key-hold"><span class="visual-wrapper"><span>C</span></span></button>
  </div>




</body>
</html>
